Function
heaviestIncreasingSubsequence
Computes the heaviest increasing subsequence.
heaviestIncreasingSubsequence(str, weights, pos)
Include Headers
seqan/graph_algorithms.h
Parameters

str | In-parameter: An arbitrary string. Types: String
weights | In-parameter: A weight for each position in the string.
pos | Out-parameter: A String of positions that indicate the members of the heaviest increasing subsequence. Remarks: The last position in pos indicates the first member of the heaviest increasing subsequence. That's why pos should be a Block-String (Stack). Note that only members that contribute a weight are selected, that is, positions with associated weight=0 are ignored.

Example Programs
Heaviest Increasing Subsequence
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47